phosh-mobile-settings (0.56.0-1) unstable; urgency=medium

  * New upstream release
    * Unbreak Librem 5 panel
    * Improve sidebar
  * lang-panel: Disable via property

 -- Guido Günther <agx@sigxcpu.org>  Sun, 05 Jul 2026 11:58:41 +0200

phosh-mobile-settings (0.56~rc1-1) unstable; urgency=medium

  * New upstream release
    * New panels:
      * os-updates: Allow atomic OS updates on immutable distros. The
        currently implemented backend supports systemd-sysupdate and is
        only enabled when the service is usable.
    * Improved panels:
      * about: Add image version. This is useful on immutable images like
        BengalOS to check if everything is up to date.
      * overview: Allow to re-enable hidden apps. This is useful on immutable
        distros as apps shiped in the immutable parts can't be uninstalled.
      * convergence: Support NexDock 2025
    * libpms: Allow to add OSK layout that matches the current locale
  * p-m-s: Bump stevia dependency.
    Needed for the OSK layout selection
  * Drop polkit rule.
    Not needed and we disable it by default
  * Update symbols

 -- Guido Günther <agx@sigxcpu.org>  Wed, 24 Jun 2026 17:51:49 +0200

phosh-mobile-settings (0.55.0-1) unstable; urgency=medium

  * New upstream release
    * osk panel: Allow to configure automatic space handling

 -- Guido Günther <agx@sigxcpu.org>  Sun, 17 May 2026 10:07:02 +0200

phosh-mobile-settings (0.55~rc1-1) unstable; urgency=medium

  * New upstream release candidate
    * Various conf-tweaks improvements
    * New language panel (disabled in Debian)
  * Drop all patches. Applied upstream
  * Build-depend on accountsservice
  * Disable language panel
    It can't work sensibly due to #1133781
  * Update symbols

 -- Guido Günther <agx@sigxcpu.org>  Fri, 08 May 2026 21:39:21 +0200

phosh-mobile-settings (0.54.0-2) unstable; urgency=medium

  * shortcut-dialog: Use new schema location to fix a crash when opening
    the shortcuts editor.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 07 Apr 2026 16:38:48 +0200

phosh-mobile-settings (0.54.0-1) unstable; urgency=medium

  * New upstream release
    * Allow to hide built-in panels
  * Drop patches. Applied upstream
  * copyright: Add gvc (Thanks Mechtilde)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 05 Apr 2026 09:26:11 +0200

phosh-mobile-settings (0.54~rc1-2) unstable; urgency=medium

  * Team upload
  * Add Depends: locales-all for gtk_test_init as required by gtk4 4.22.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 03 Apr 2026 10:35:19 -0400

phosh-mobile-settings (0.54~rc1-1) unstable; urgency=medium

  * New upstream release candidate
    * Introduce library with common widgets
    * Play sound for voice call media role too
    * Add a man page
  * build: Set tweaks directory to empty.
    Otherwise we throw a warning during the tests
  * Drop unused clean file
  * Ship shared library and manpage

 -- Guido Günther <agx@sigxcpu.org>  Wed, 25 Mar 2026 10:28:54 +0100

phosh-mobile-settings (0.53.0-2) unstable; urgency=medium

  * Drop dependencies for building cbd. We use the shared libs nowadays
  * Sort and check in CI
  * ci: Reenable piuparts
  * Depend on libxml2-utils. Needed for xmllint
  * Skip tests on platforms that don't support dmabuf.
    The compositor warns about lack of support which makes the tests fail.
    (Closes: #1130460)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 12 Mar 2026 10:46:44 +0100

phosh-mobile-settings (0.53.0-1) unstable; urgency=medium

  * New upstream release
    * feedback panel: Give audible feedback when adjusting media role volumes
    * osk panel: Improve shortcuts dialog

 -- Guido Günther <agx@sigxcpu.org>  Sun, 15 Feb 2026 09:44:11 +0100

phosh-mobile-settings (0.53~rc1-1) unstable; urgency=medium

  * New upstream release candidate
    * New about panel
    * feedback panel: List apps showing notifications in app list too
    * feedback panel: Sort per apps list alphabetically
    * osk panel: Set landscape sizing flag too

 -- Guido Günther <agx@sigxcpu.org>  Mon, 09 Feb 2026 14:05:26 +0100

phosh-mobile-settings (0.52.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sun, 04 Jan 2026 15:49:54 +0100

phosh-mobile-settings (0.52~rc2-1) unstable; urgency=medium

  * New upstream release candidate
    * conf-tweaks: Add sysfs backend
    * Leak fixes

 -- Guido Günther <agx@sigxcpu.org>  Thu, 01 Jan 2026 18:07:06 +0100

phosh-mobile-settings (0.51.0-1) unstable; urgency=medium

  * New upstream release
  * Build-depend on libcellbroadcast-dev.
    No longer shipped in the sources

 -- Guido Günther <agx@sigxcpu.org>  Sat, 15 Nov 2025 18:50:58 +0100

phosh-mobile-settings (0.51~rc1-1) unstable; urgency=medium

  * New upstream release
    * feedback panel: Allow to set alarm clock sound when clock app supports it
    * top-bar panel: Show icon for quick settings plugins
    * feedback-panel: Improve role-based audio volume settings
    * conf-tweaks; Better error handling, error reporting and bug fixes
    * conf-tweaks: Add Gtk3Settings
  * Run tests through xvfb.
    Tests aren't run under phoc anymore
  * Bump phosh-plugins version.
    We want a version that ships the plugin icons

 -- Guido Günther <agx@sigxcpu.org>  Sun, 09 Nov 2025 18:22:03 +0100

phosh-mobile-settings (0.50.0-1) unstable; urgency=medium

  * New upstream release
    * Hide demo plugins

 -- Guido Günther <agx@sigxcpu.org>  Sun, 05 Oct 2025 12:54:30 +0200

phosh-mobile-settings (0.50~rc1-1) unstable; urgency=medium

  * New upstream release
    * Support for GSetting and XResources config tweaks
      (aka postmarketOS tweaks)
  * Depend on recent enough phoc.
    This allows us to drop the patch
  * d/control: Depend on libyaml-dev.
    Needed for the conf tweaks.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 30 Sep 2025 20:06:22 +0200

phosh-mobile-settings (0.49.0-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release
    * Fix test failure on s390x
    * Improve add shortcut dialog
  * Drop libcellbroadcast
  * Revert "tests: Disable Xwayland in Phoc tests"
    This needs recent phoc which isn't in forky yet as
    we're waiting for wlroots 0.19.
  * d/control: Build-depend on dbus-daemon for the tests

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Aug 2025 16:01:35 +0200

phosh-mobile-settings (0.49~rc1-1) experimental; urgency=medium

  * New upstream release candidate
  * Build-depend on newer gmobile, needed for cellbroadcast code
  * Break older stevia. We want the schema that supports the
    scaling options
  * Build-depend on newer phoc. We want one that supports
    `--no-xwayland`
  * Add copy of libcellbroadcast. This can be reverted once
    cellbroadcastd is NEW processed

 -- Guido Günther <agx@sigxcpu.org>  Sat, 09 Aug 2025 11:55:57 +0200

phosh-mobile-settings (0.48.0-1) experimental; urgency=medium

  * New upstream release
    * New panel for setting cell broadcast categories
      This needs cellbroadcast and at least ModemManager 1.25.1.
    * feedback-panel: Allow to configure notification categories
      that should wake up the screen
    * osk-panel: Allow to configure key indicator popover
    * Make osk-panel aware of the phosh-osk-stub → stevia rename

 -- Guido Günther <agx@sigxcpu.org>  Mon, 30 Jun 2025 14:09:22 +0200

phosh-mobile-settings (0.48~rc1-1) experimental; urgency=medium

  * New upstream release
    * New panel for setting cell broadcast categories
      This needs cellbroadcast (not yet in Debian) and at
      least ModemManager 1.25.1.
    * feedback-panel: Allow to configure notification categories
      that should wake up the screen
    * Make osk-panel aware of the phosh-osk-stub → stevia rename
    * Fix several leaks and run leak checks in CI
    * Add breaks on phosh-osk-stub. It has been renamed to stevia.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 22 Jun 2025 11:15:09 +0200

phosh-mobile-settings (0.47.0-1) experimental; urgency=medium

  * New upstream release
    * Application panel: Allow to set and to disable the wallpaper in the
      overview
    * Application panel: Ask for confirmation before resetting favorites
    * Feedback panel: Handle volumes of alerts, multimedia,
  notifications, etc separately when role based streams are in use.
  * Depend on libpulse. Needed for the new volume controls

 -- Guido Günther <agx@sigxcpu.org>  Sun, 18 May 2025 10:30:38 +0200

phosh-mobile-settings (0.47~rc1-1) experimental; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Fri, 09 May 2025 09:33:57 +0200

phosh-mobile-settings (0.46.0-1) unstable; urgency=medium

  * New upstream release
    * Allow to set lockscreen wallpapper
    * Make maximum haptic feedback strength configurable
    * Allow oga as sound file extension
    * Mark spin buttions as numeric to get a matching OSK layout
  * Drop patches. Applies upstream

 -- Guido Günther <agx@sigxcpu.org>  Mon, 31 Mar 2025 10:03:14 +0200

phosh-mobile-settings (0.46~rc1-1) unstable; urgency=medium

  * New upstream release
  * Depend on recent feedbackd.
    We want one that handles the haptic strength gsetting
  * Depend on recent portal.
    We want one that handles the lockscreen wallpaper setting
  * Build-depend on libfeedback.
    Needed for the haptic strength UI
  * Build-depend on libportal.
    Needed for the wallpaper portal
  * main: Move lfb init to application. Silences a warning
    when running autopkgtests.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 24 Mar 2025 09:08:47 +0100

phosh-mobile-settings (0.45.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sat, 15 Feb 2025 10:29:54 +0100

phosh-mobile-settings (0.45~rc1-1) unstable; urgency=medium

  * New upstream release
    * Add output configuration to debug info

 -- Guido Günther <agx@sigxcpu.org>  Sun, 09 Feb 2025 14:04:44 +0100

phosh-mobile-settings (0.44.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 Dec 2024 09:19:12 +0100

phosh-mobile-settings (0.44~rc1-1) unstable; urgency=medium

  * New upstream release
    * lockscreen: New Require lock setting
    * Phosh's plugin prefs now use AdwPreferencesDialog
  * d/control: Conflict on older phosh plugins We want a version that uses
    AdwPreferencesDialogs for the prefs plugins

 -- Guido Günther <agx@sigxcpu.org>  Sat, 21 Dec 2024 16:33:40 +0100

phosh-mobile-settings (0.43.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Nov 2024 12:43:47 +0100

phosh-mobile-settings (0.43~rc1-1) unstable; urgency=medium

  * New upstream release
    - osk panel: Allow to set horizontal and vertical size when using
      squeekboard
    - osk panel: Allow completion engine selection when using phosh-osk-stub

 -- Guido Günther <agx@sigxcpu.org>  Tue, 12 Nov 2024 09:34:59 +0100

phosh-mobile-settings (0.42.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Add Breaks on older phosh-osk-stub.
    This ensures the layout selection works
  * d/control: Bump standards version.
    No changes needed

 -- Guido Günther <agx@sigxcpu.org>  Mon, 30 Sep 2024 09:43:05 +0200

phosh-mobile-settings (0.42~rc1-1) unstable; urgency=medium

  * New upstream release
    - Allow to select OSK layouts when OSK supports it
    -  Open last opened panel on startup
  * Install schema

 -- Guido Günther <agx@sigxcpu.org>  Fri, 20 Sep 2024 23:30:20 +0200

phosh-mobile-settings (0.41.0-1) unstable; urgency=medium

  * New upstream release
    - Allow to enable/disable silence mode on Vol-

 -- Guido Günther <agx@sigxcpu.org>  Thu, 15 Aug 2024 10:04:21 +0200

phosh-mobile-settings (0.41.0~rc1-1) unstable; urgency=medium

  * New upstream release
    - top-bar panel: Allow to toggle showing Battery percentage
    - feedback panel: Allow to prefer camera flash as notification LED
    - Make DBus activatable
    - Fix going back to the same page in folded mode
  * install: Ship DBus service file

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 Aug 2024 14:01:21 +0200

phosh-mobile-settings (0.40.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sun, 30 Jun 2024 07:57:15 +0200

phosh-mobile-settings (0.40.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * d/control: Use shared gmobile

 -- Guido Günther <agx@sigxcpu.org>  Tue, 25 Jun 2024 21:46:10 +0200

phosh-mobile-settings (0.39.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Wed, 15 May 2024 13:51:44 +0200

phosh-mobile-settings (0.38.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Add dependencies to run tests
  * Run tests

 -- Guido Günther <agx@sigxcpu.org>  Fri, 05 Apr 2024 17:16:38 +0200

phosh-mobile-settings (0.37.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Bump minimum phosh and phoc versions
  * Use dh_install. This makes it simpler to track missing files.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 08 Mar 2024 11:40:14 +0100

phosh-mobile-settings (0.36.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sat, 03 Feb 2024 13:51:26 +0100

phosh-mobile-settings (0.35.1-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sun, 14 Jan 2024 19:23:08 +0100

phosh-mobile-settings (0.35.0-1) unstable; urgency=medium

  * New upstream release
  * metadata: Update repository URL

 -- Guido Günther <agx@sigxcpu.org>  Thu, 04 Jan 2024 18:10:44 +0100

phosh-mobile-settings (0.34.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Mon, 04 Dec 2023 15:40:02 +0100

phosh-mobile-settings (0.33.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 Oct 2023 17:39:01 +0100

phosh-mobile-settings (0.32.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Thu, 05 Oct 2023 10:53:28 +0200

phosh-mobile-settings (0.31.0-1) unstable; urgency=medium

  * New upstream release
  * Fetch signed upstream tarballs
  * Build-dep on json-glib. Needed for gmobile

 -- Guido Günther <agx@sigxcpu.org>  Sun, 03 Sep 2023 14:07:29 +0200

phosh-mobile-settings (0.30.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Wed, 02 Aug 2023 14:13:14 +0200

phosh-mobile-settings (0.29.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Bump phosh dependency.
    We want the new settings schema for suspend toggle

 -- Guido Günther <agx@sigxcpu.org>  Thu, 06 Jul 2023 10:39:38 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libpms-1.0-common`.
